Caddy(8)

NAME

caddy-fmt - Formats a Caddyfile

SYNOPSIS

caddy fmt [flags]

DESCRIPTION

Formats the Caddyfile by adding proper indentation and spaces to improve human readability. It prints the result to stdout.

If --overwrite is specified, the output will be written to the config file directly instead of printing it.

If --diff is specified, the output will be compared against the input, and lines will be prefixed with '-' and '+' where they differ. Note that unchanged lines are prefixed with two spaces for alignment, and that this is not a valid patch format.

If you wish you use stdin instead of a regular file, use - as the path. When reading from stdin, the --overwrite flag has no effect: the result is always printed to stdout.

OPTIONS

--diff[=false]
    Print the differences between the input file and the formatted output

-h, --help[=false]
    help for fmt

--overwrite[=false]
    Overwrite the input file with the results

SEE ALSO

caddy(8)

HISTORY

10-May-2025 Auto generated by spf13/cobra